#include "dc_motor3.h"

sbit SLP at LATA5_BIT;
sbit IN2 at LATE2_BIT;
sbit IN1 at LATA3_BIT;

uint8_t current_duty = 10;

void main()
{
  ANSELA = 0;                         // Configure AN pins as digital
  ANSELB = 0;
  ANSELC = 0;
  ANSELE = 0;
  ANSELD = 0;
  

  TRISA = 0;
  TRISE = 0;
  LATB  = 0;
  TRISB = 255;
  TRISD = 255;
  LATC  = 0;
  TRISC = 0;
  PWM1_Init(5000);
  PWM2_Init(5000);


  PWM2_Start();

  PWM2_Set_Duty(current_duty);


  
  while(1)
  {
   if (Button(&PORTB, 0, 50, 1))
   {               // Detect logical one
        dc_motor3_counter_clockwise();
   }
   
   if (Button(&PORTB, 1, 50, 1))
   {               // Detect logical one
        dc_motor3_clockwise();
   }
   
   if (Button(&PORTB, 2, 50, 1))
   {               // Detect logical one
        dc_motor3_stop();
   }
   
    if (Button(&PORTB, 3, 50, 1))
   {               // Detect logical one
        current_duty +=10;
        PWM2_Set_Duty(current_duty);
   }
   
    if (Button(&PORTB, 4, 50, 1))
   {               // Detect logical one
        current_duty -=10;
        PWM2_Set_Duty(current_duty);
   }

  }
  
}